## eole-taskfreak 0.6.4

=== Makefile ===
################################
# Makefile pour XXX-XXX
################################

SOURCE=taskfreak
VERSION=0.6.4
EOLE_VERSION=2.3
PKGAPPS=oui

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

## eole-taskfreak 0.6.4-eole2

=== debian/changelog ===
eole-taskfreak (0.6.4-eole2-1) eole-2.4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [f84ccce] skeletorisation
  * [d873808] reglage conflit
  * [efa1eb4] Suppression de la partie EOLE
  * [58b9d70] application patch taskfreak
  * [4849b46] Merge branch 'patch'
  * [c7a5abd] patch
  * [3016411] patch pĥpcas
  * [cdd79b8] integration sonde piwik (fixes #7089)
  * [365baef] Merge branch 'patch'
  * [d55cc58] correction nom application dans sonde (ref #7089)
  * [0a0ff7d] Merge branch 'patch'

  [ Lionel MORIN ]
  * [db60e4c] Merge branch 'master' into dist/ubuntu/precise/master
  * [7455731] Migration packaging vers 2.4

  [ EOLE Build Daemon ]
  * [df51198] Lionel MORIN: Update package since 'debian/eole/2.4/0.6.4-eole1-2'

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Tue, 18 Mar 2014 14:26:50 +0100

eole-taskfreak (0.6.4-eole1-2) eole-2.4-unstable; urgency=low

  * [4e72601] * debian/control : suppression de la dépendance sur web-pkg

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 22 Jan 2014 14:32:11 +0100

eole-taskfreak (0.6.4-eole1-1) eole-2.4-unstable; urgency=low

  * [0fdd190] Ajout d'une cible "all" dans le Makefile (ref #6451)

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Fri, 25 Oct 2013 10:03:06 +0200

=== debian/control ===
Source: eole-taskfreak
Section: web
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/taskfreak
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/taskfreak/repository

Package: eole-taskfreak
Architecture: all
Depends: ${misc:Depends}, eole-web
Description: Templates et dictionnaires pour Taskfreak "EOLE".
 Taskfreak est une gestionnaire de projet en ligne qui permet de créer des tâches au sein d’une interface simplissime et ergonomique. Selon le niveau de permission de l’utilisateur, celui-ci peut créer de nouvelles tâches, de nouveaux projets, de nouveaux utilisateurs.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le site du projet EOLE.

Package: taskfreak-apps
Architecture: all
Depends: ${misc:Depends}
Description: Sources pour Taskfreak "EOLE".
 Taskfreak est une gestionnaire de projet en ligne qui permet de créer des tâches au sein d’une interface simplissime et ergonomique. Selon le niveau de permission de l’utilisateur, celui-ci peut créer de nouvelles tâches, de nouveaux projets, de nouveaux utilisateurs.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le site du projet EOLE.

## eole-taskfreak 0.6.4-eole2-14

=== debian/changelog ===
eole-taskfreak (0.6.4-eole2-14) envole-4-unstable; urgency=low

  [ Mathieu Terroba ]
  * [5713440] 2nd admin envole
  * [16d2028] Merge branch 'patch' into e4/master
  * [de61a16] Merge branch 'e4/master' into dist/envole/4/master
  * [03fd03a] Doublon suite au merge de patch
  * [f9e0d14] Merge branch 'e4/master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [2cd5db8] Mathieu Terroba: Update package since “debian/envole/4/0.6.4-eole2-13”

 -- Mathieu Terroba <mathieu.terroba@ac-poitiers.fr>  Thu, 17 Mar 2016 11:38:50 +0100

eole-taskfreak (0.6.4-eole2-13) envole-4-unstable; urgency=low

  [ Igor GODI ]
  * [2298cbb] Ajout 2nd Admin
  * [6c332f9] Merge branch 'e4/master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [c861203] Igor GODI: Update package since “debian/envole/4/0.6.4-eole2-12”

 -- Igor GODI <igor.godi@ac-reims.fr>  Fri, 19 Feb 2016 15:52:33 +0100

eole-taskfreak (0.6.4-eole2-12) envole-4-unstable; urgency=low

  [ Mathieu Terroba ]
  * [b5f2226] Sonde piwik (fixes #14331)
  * [7f671e7] Merge branch 'patch' into e4/master
  * [94d8959] Merge branch 'e4/master' into dist/envole/4/master
  * [e274b0e] Debug CAS (fixes #14447)
  * [53f9727] Merge branch 'patch' into e4/master
  * [126a0ed] Merge branch 'e4/master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [988428c] Mathieu Terroba: Update package since “debian/envole/4/0.6.4-eole2-11”

 -- Mathieu Terroba <mathieu.terroba@ac-poitiers.fr>  Fri, 12 Feb 2016 10:19:07 +0100

eole-taskfreak (0.6.4-eole2-11) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [a87b1e5] Revert "preparation eoledb"

  [ EOLE Build Daemon ]
  * [5150e66] Arnaud Fornerot: Update package since “debian/envole/4/0.6.4-eole2-10”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Wed, 16 Dec 2015 11:13:52 +0100

eole-taskfreak (0.6.4-eole2-10) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [da41854] preparation eoledb
  * [25e9d06] adaptation pour passage 2.5
  * [4b5ed01] Merge branch 'patch'
  * [917b928] Merge branch 'master' into dist/envole/4/master

  [ Philippe Caseiro ]
  * [4663992] Correction du chemin pour le template taskfreak-db.yml

  [ EOLE Build Daemon ]
  * [66238fa] Arnaud Fornerot: Update package since “debian/envole/4/0.6.4-eole2-9”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Wed, 16 Dec 2015 11:01:26 +0100

eole-taskfreak (0.6.4-eole2-9) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [86cd7a5] gérer l'absence de piwik (fixes #14086)
  * [93fee4d] Merge branch 'patch'
  * [1803449] Merge branch 'master' into dist/envole/4/master
  * [1789cda] plus de projet par défaut à la création (fixes #6723)
  * [44eae98] Merge branch 'master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [3831d8a] Arnaud Fornerot: Update package since “debian/envole/4/0.6.4-eole2-8”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Thu, 19 Nov 2015 10:44:52 +0100

eole-taskfreak (0.6.4-eole2-8) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [78fdb52] dependances

  [ EOLE Build Daemon ]
  * [5baa9c6] Arnaud Fornerot: Update package since “debian/envole/4/0.6.4-eole2-7”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Wed, 03 Jun 2015 16:01:06 +0200

eole-taskfreak (0.6.4-eole2-7) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [a39af86] dépendances
  * [153fe46] Merge branch 'dist/envole/4/master' of https://dev-eole.ac-dijon.fr/git/taskfreak into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [4eced62] Arnaud Fornerot: Update package since “debian/envole/4/0.6.4-eole2-6”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Wed, 03 Jun 2015 15:07:17 +0200

eole-taskfreak (0.6.4-eole2-6) envole-4-unstable; urgency=low

  [ Mathieu Terroba ]
  * [4927ef8] Repassage en latin1, l'utf8 ne corrigeait rien
  * [97c8858] Merge branch 'master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [9d5ab43] Mathieu Terroba: Update package since “debian/envole/4/0.6.4-eole2-5”

 -- Mathieu Terroba <mathieu.terroba@ac-poitiers.fr>  Wed, 18 Mar 2015 11:24:08 +0100

eole-taskfreak (0.6.4-eole2-5) envole-4-unstable; urgency=low

  [ Mathieu Terroba ]
  * [3616356] Correction sur les charset dans la base
  * [80c9963] Merge branch 'master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [cdeeae8] Mathieu Terroba: Update package since “debian/envole/4/0.6.4-eole2-4”

 -- Mathieu Terroba <mathieu.terroba@ac-poitiers.fr>  Wed, 18 Mar 2015 10:58:07 +0100

eole-taskfreak (0.6.4-eole2-4) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [cd80213] ajout install sso

  [ EOLE Build Daemon ]
  * [afbd87e] Arnaud Fornerot: Update package since “debian/envole/4/0.6.4-eole2-3”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Wed, 18 Mar 2015 10:16:04 +0100

eole-taskfreak (0.6.4-eole2-3) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [8aea9bb] dependance

  [ EOLE Build Daemon ]
  * [bc26b22] Arnaud Fornerot: Update package since “debian/envole/4/0.6.4-eole2-2”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Wed, 18 Mar 2015 10:09:20 +0100

eole-taskfreak (0.6.4-eole2-2) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [568f701] Configuration pour l’infrastructure de compilation EOLE
  * [fdf828f] renommage template
  * [d6ebce6] Merge branch 'master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [846af90] Arnaud Fornerot: Update package since “debian/envole/4/0.6.4-eole2-1”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Mon, 16 Mar 2015 15:19:05 +0100

=== debian/control ===
Source: eole-taskfreak
Section: web
Priority: optional
Maintainer: Equipe Envole <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.8.4 
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/taskfreak
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/taskfreak/repository

Package: taskfreak-sso
Architecture: all
Depends: ${misc:Depends}, eole-sso
Replaces: eole-taskfreak (<< 0.6.4-eole2-2)
Breaks: eole-taskfreak (<< 0.6.4-eole2-2)
Description: Filtre SSO pour taskfreak "EOLE".

Package: eole-taskfreak
Architecture: all
Depends: ${misc:Depends}, eole-web (>= 2.4.2~0), taskfreak-sso(>= 0.6.4-eole2-2), eole-client-annuaire
Description: Eolisation de l'application taskfreak.

Package: taskfreak-apps
Architecture: all
Depends: ${misc:Depends}, eole-web-pkg (>= 2.4.2~0), eole-client-annuaire-pkg
Description: Sources pour taskfreak "EOLE".

## eole-taskfreak 0.6.4.2-29

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,13 @@
 ################################
-# Makefile pour XXX-XXX
+# Makefile pour Taskfreak-0.6.4
 ################################
 
 SOURCE=taskfreak
 VERSION=0.6.4
 EOLE_VERSION=2.3
+EOLE_RELEASE=2.5.1
 PKGAPPS=oui
+
 
 ################################
 # Début de zone à ne pas éditer

=== debian/changelog ===
eole-taskfreak (0.6.4.2-29) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [ca03607] passage à php7
  * [d26cb4f] Merge branch 'patch'
  * [73fd2f4] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [8bf0cdb] Arnaud Fornerot: Update package since “debian/envole/0.6.4.2-28”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Thu, 06 Jul 2017 09:30:51 +0200

eole-taskfreak (0.6.4.2-28) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [b87d915] correction de la query d'affichage des taches (fixes #15131) + correction warning php
  * [1ab0726] Merge branch 'patch'
  * [a8628b3] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [d3c4aac] Arnaud Fornerot: Update package since “debian/envole/0.6.4.2-27”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Mon, 03 Oct 2016 14:47:56 +0200

eole-taskfreak (0.6.4.2-27) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [16d2373] Passer username a une taille de 100 (fixes #15227)
  * [18aa178] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [90b7512] Arnaud Fornerot: Update package since “debian/envole/0.6.4.2-26”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Fri, 30 Sep 2016 14:43:51 +0200

eole-taskfreak (0.6.4.2-26) envole-5-unstable; urgency=low

  [ Mathieu Terroba ]
  * [b5f2226] Sonde piwik (fixes #14331)
  * [e274b0e] Debug CAS (fixes #14447)
  * [5713440] 2nd admin envole
  * [2bcbe85] Merge branch 'patch'
  * [560de51] Correction doublon suite au merge patch
  * [3690c31] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [363e98b] Mathieu Terroba: Update package since “debian/envole/0.6.4.2-25”

 -- Mathieu Terroba <mathieu.terroba@ac-poitiers.fr>  Thu, 17 Mar 2016 11:48:27 +0100

eole-taskfreak (0.6.4.2-25) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [156e06d] correctif pour paquet envole 5
  * [9464ecf] Merge branch 'master' into dist/envole/5/master
  * [67a7fd0] correctif pour paquet envole 5
  * [366d22d] correctif pour paquet envole 5
  * [8d7e35e] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [892b4b1] Arnaud Fornerot: Update package since “debian/envole/0.6.4.2-24”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Tue, 08 Mar 2016 15:05:06 +0100

eole-taskfreak (0.6.4.2-24) envole-5-unstable; urgency=low

  [ Igor GODI ]
  * [48cb4c6] 2nd Admin
  * [9c47f93] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [8baf679] Igor GODI: Update package since “debian/envole/0.6.4.2-23”

 -- Igor GODI <igor.godi@ac-reims.fr>  Fri, 19 Feb 2016 16:14:28 +0100

eole-taskfreak (0.6.4.2-23) envole-5-unstable; urgency=low

  [ Philippe Caseiro ]
  * [a2c1db1] Mise à jour du chemin du script de création de la base de données
  * [908c2af] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [3b90cbc] Philippe Caseiro: Update package since “debian/envole/0.6.4.2-22”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Wed, 10 Feb 2016 15:08:38 +0100

eole-taskfreak (0.6.4.2-22) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [1bcb4bc] deplacement rep eoledb
  * [cab1e5e] Merge branch 'master' into dist/envole/5/master
  * [984432f] nettoyage postinst

  [ EOLE Build Daemon ]
  * [b7514e9] Arnaud Fornerot: Update package since “debian/envole/0.6.4.2-21”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Tue, 09 Feb 2016 14:14:55 +0100

eole-taskfreak (0.6.4.2-21) envole-5-unstable; urgency=low

  [ Philippe Caseiro ]
  * [63cabe8] Dans le mode "default" les autorisations sont définies dans la config globale
  * [bb98c92] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [7e2f39e] Philippe Caseiro: Update package since “debian/envole/0.6.4.2-20”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Wed, 27 Jan 2016 16:36:08 +0100

eole-taskfreak (0.6.4.2-20) envole-5-unstable; urgency=low

  [ Philippe Caseiro ]
  * [df0ceaf] tmpl/taskfreak-db.yml: Meilleur gestion des autorisations
  * [83cc868] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [7a09d53] Philippe Caseiro: Update package since “debian/envole/0.6.4.2-19”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Wed, 27 Jan 2016 16:19:58 +0100

eole-taskfreak (0.6.4.2-19) envole-5-unstable; urgency=low

  [ Philippe Caseiro ]
  * [91eed16] tmpl/taskfreak-config.php: Correction de l'utilisation de edb_host
  * [4c86660] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [d53512d] Philippe Caseiro: Update package since “debian/envole/0.6.4.2-18”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Tue, 26 Jan 2016 14:48:32 +0100

eole-taskfreak (0.6.4.2-18) envole-5-unstable; urgency=low

  [ Philippe Caseiro ]
  * [8e8b3db] Support du mode conteneur pour le changement des mots de passe
  * [72464da] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [bb5a4e7] Philippe Caseiro: Update package since “debian/envole/0.6.4.2-17”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Fri, 22 Jan 2016 11:34:34 +0100

eole-taskfreak (0.6.4.2-17) envole-5-unstable; urgency=low

  [ Philippe Caseiro ]
  * [6e00870] Mode conteneur : Correction du template de configuration de taskfreak
  * [536d1a7] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [9e29261] Philippe Caseiro: Update package since “debian/envole/0.6.4.2-16”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Fri, 22 Jan 2016 11:08:49 +0100

eole-taskfreak (0.6.4.2-16) envole-5-unstable; urgency=low

  [ Philippe Caseiro ]
  * [c900463] Mise à jour de la dépendance sur eole-web
  * [678e668] Merge branch 'dist/envole/5/master' of https://dev-eole.ac-dijon.fr/git/taskfreak into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [62d9f91] Philippe Caseiro: Update package since “debian/envole/0.6.4.2-15”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Fri, 22 Jan 2016 10:28:00 +0100

eole-taskfreak (0.6.4.2-15) envole-5-unstable; urgency=low



=== debian/control ===
--- 
+++ 
@@ -17,10 +17,10 @@
 
 Package: eole-taskfreak
 Architecture: all
-Depends: ${misc:Depends}, eole-web (>= 2.4.2~0), taskfreak-sso(>= 0.6.4-eole2-2), eole-client-annuaire
+Depends: ${misc:Depends}, eole-web (>= 2.5.2), taskfreak-sso(>= 0.6.4-eole2-2), eole-client-annuaire, eole-db, eole-sondepiwik
 Description: Eolisation de l'application taskfreak.
 
 Package: taskfreak-apps
 Architecture: all
-Depends: ${misc:Depends}, eole-web-pkg (>= 2.4.2~0), eole-client-annuaire-pkg
+Depends: ${misc:Depends}, eole-web-pkg (>= 2.5.2), eole-client-annuaire-pkg, sondepiwik-apps
 Description: Sources pour taskfreak "EOLE".

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
		dh $@
